### Class

# GdkSeat

#### Description [src]

    abstract class Gdk.Seat : GObject.Object
    {
      /* No available fields */
    }

The `GdkSeat` object represents a collection of input devices that belong to a user.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### gdk_seat_get_capabilities

Returns the capabilities this `GdkSeat` currently has.

###### gdk_seat_get_devices

Returns the devices that match the given capabilities.

###### gdk_seat_get_display

Returns the `GdkDisplay` this seat belongs to.

###### gdk_seat_get_keyboard

Returns the device that routes keyboard events.

###### gdk_seat_get_pointer

Returns the device that routes pointer events.

###### gdk_seat_get_tools

Returns all `GdkDeviceTools` that are known to the application.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gdk.Seat:display

`GdkDisplay` of this seat.

#### Signals

###### Gdk.Seat::device-added

Emitted when a new input device is related to this seat.

###### Gdk.Seat::device-removed

Emitted when an input device is removed (e.g. unplugged).

###### Gdk.Seat::tool-added

Emitted whenever a new tool is made known to the seat.

###### Gdk.Seat::tool-removed

Emitted whenever a tool is no longer known to this `seat`.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.